Name:          args4j10
Version:       1.0
Release:       %mkrel 4
Summary:       Commandline parser
Group:         Development/Java
License:       MIT
Url:           http://args4j.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_4u1/jaxb-ri/tools/lib/src/args4j-src.zip
Source0:       args4j-src.zip
Patch0:        args4j-1.0-javadoc.patch
BuildRequires: maven-changelog-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-surefire-plugin
Requires:      jpackage-utils
BuildArch:     noarch

%description
Args4j is a small Java class library that makes it easy to
parse command line options/arguments in your CUI application.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
args4j - Java command line arguments parser.

This package contains javadoc for %{name}.

%prep
%setup -q -n args4j
%patch0 -p0
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/args4j-%{version}.jar \
	%{buildroot}%{_javadir}/args4j10.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-args4j10.pom
%add_maven_depmap JPP-args4j10.pom args4j10.jar 

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/args4j10-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/args4j10-%{version}
ln -sf args4j10-%{version} %{buildroot}%{_javadocdir}/args4j10

%files
%{_javadir}/args4j10.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/args4j10-%{version}
%{_javadocdir}/args4j10



%changelog
* Wed Dec 25 2013 luigiwalser <luigiwalser> 1.0-4.mga4
+ Revision: 560645
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 346027
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 323978
+ rebuild (emptylog)

* Thu Oct 27 2011 gil <gil> 1.0-1.mga2
+ Revision: 158879
- update to 1.0 for jaxb-2_2_4u1

* Mon Jul 11 2011 gil <gil> 1.0-0.mga2
+ Revision: 122316
- imported package args4j10


* Mon Jul 11 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm
